Export account transactions as Excel
Exports the transaction history for a specific ledger account as an Excel file. Returns a pre-signed URL for downloading the generated Excel file. The export includes transaction date, entry number, description, debit/credit amounts, running balance, and related accounts.
Rate Limiting
This endpoint has a custom rate limit policy. Rate Limit Details:| Environment | Limit | Refill Period | Initial Size |
|---|---|---|---|
| Sandbox | 20 requests | 1 second | 40 requests |
| Production | 20 requests | 1 second | 40 requests |
- X-RateLimit-Limit: The rate limit bucket capacity
- X-RateLimit-Remaining: The number of tokens remaining in the bucket
- X-RateLimit-Reset: UTC timestamp (in seconds) when the bucket will be refilled
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The ID or stable_name of the ledger account.
Query Parameters
Start date for filtering transactions (inclusive). ISO-8601 format.
End date for filtering transactions (exclusive). ISO-8601 format.
Reporting basis for the export (ACCRUAL or CASH). Defaults to the business's default reporting basis.
ACCRUAL, CASH Tag key to filter transactions by. Must be used together with tag_values.
Comma-separated list of tag values to filter by. Must be used together with tag_key.
If true, includes transactions from child accounts in the export. Each child account will have its own section. Defaults to false.
If true, includes ledger entries from before the business activation date. Defaults to false.
Response
Pre-signed URL for downloading the Excel export.
A pre-signed URL to download a document.